SkmXmlApi

Public Member Functions | Static Public Member Functions | Properties | List of all members
SkmXmlApi.CredentialCommand Class Reference

Retrieves available resources via the Skm's Credential Manager Api. Resources include cameras, audio devices, slave nodes, etc. Each resource includes user permissions and permission roles that are associated. More...

Inheritance diagram for SkmXmlApi.CredentialCommand:

## Public Member Functions
void | Refresh ()
| Reloads all the resources and credentials from the Skm Api More...
Public Member Functions inherited from SkmXmlApi.SkmBase
| SkmBase (SkmSession Session)
| Constructor More...

## Static Public Member Functions
static CredentialCommand | NewCredentialCommand (SkmSession Session)
| Creates a new CredentialCommand. This retrieves available resources via the Skm's Credential Manager Api More...

## Properties
SkmObjectList< Camera > | Cameras = new SkmObjectList<Camera>()`[get]`
| The available cameras on the Skm server More...
SkmObjectList< SkmObject > | Audios = new SkmObjectList<SkmObject>()`[get]`
| Audio objects. More...
Properties inherited from SkmXmlApi.APICommand
string | BaseUrl`[get]`
| Gets the base Url for making requests to the Skm Api More...
Properties inherited from SkmXmlApi.SkmBase
SkmSession | Session`[get]`
| The current Skm session of the Skm object More...

## Additional Inherited Members
Protected Member Functions inherited from SkmXmlApi.APICommand
| APICommand (SkmSession Session)
| Constructor More...
Static Protected Member Functions inherited from SkmXmlApi.APICommand
static XmlDocument | ExecuteCommand (WebClient client, string Url)
| Executes a command via Http on the Skm server More...
Protected Attributes inherited from SkmXmlApi.SkmBase
SkmSession | m_session
| Reference to the Skm session of the object More...

## Detailed Description

Retrieves available resources via the Skm's Credential Manager Api. Resources include cameras, audio devices, slave nodes, etc. Each resource includes user permissions and permission roles that are associated.

## Member Function Documentation

## ◆ NewCredentialCommand()

static CredentialCommand SkmXmlApi.CredentialCommand.NewCredentialCommand | ( | SkmSession | Session | ) |
| static

Creates a new CredentialCommand.
This retrieves available resources via the Skm's Credential Manager Api

Parameters

  Session | Current working session

Returns
  New instance of the CredentialCommand

## ◆ Refresh()

void SkmXmlApi.CredentialCommand.Refresh | ( |  | ) |

Reloads all the resources and credentials from the Skm Api

## Property Documentation

## ◆ Audios

SkmObjectList<SkmObject> SkmXmlApi.CredentialCommand.Audios = new SkmObjectList<SkmObject>()
| get

Audio objects.

## ◆ Cameras

SkmObjectList<Camera> SkmXmlApi.CredentialCommand.Cameras = new SkmObjectList<Camera>()
| get

The available cameras on the Skm server

/* Initialize a new instance, passing it a valid/authenticated
/* SkmSession object *&zwj;/
CredentialCommand cmd = CredentialCommand.NewCredentialCommand(m_skmSession);
/* Loop over each camera that our API found <em>&zwj;/
foreach (Camera cam in cmd.Cameras)
{
/</em> Get camera instance *&zwj;/
Camera skmCamera = cam;
/* Do operations with camera instance *&zwj;/
}

The documentation for this class was generated from the following file:

- src/SkmXmlApi/CredentialCommand.cs